Revoke an MCP client connection
curl --request POST \
--url https://api.notion.com/admin/v1/mcp_client_connections/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Notion-Version: <notion-version>' \
--data '
{
"client_key": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.notion.com/admin/v1/mcp_client_connections/revoke"
payload = {
"client_key": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Notion-Version": "<notion-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Notion-Version': '<notion-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
client_key: '<string>',
user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.notion.com/admin/v1/mcp_client_connections/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"revoked_token_count": 123
}{
"type": "error",
"code": "validation_error",
"status": 400,
"message": "The request body is invalid."
}{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "Unauthorized."
}{
"type": "error",
"code": "forbidden",
"status": 403,
"message": "Forbidden."
}{
"type": "error",
"code": "not_found",
"status": 404,
"message": "Not found."
}{
"type": "error",
"code": "rate_limited",
"status": 429,
"message": "Rate limited."
}{
"type": "error",
"code": "internal_server_error",
"status": 500,
"message": "An unexpected error occurred."
}MCP client connections
Revoke an MCP client connection
Revoke a member’s current MCP client connection tokens.
POST
/
v1
/
mcp_client_connections
/
revoke
Revoke an MCP client connection
The organization bot token must have the following scopes:
mcp-client-connection:write-high-impact
client_key.
The operation returns the number of tokens revoked. If the member, workspace, or connection is not available to the organization token, the endpoint returns the same not-found response.
For an enterprise-managed connection, token revocation is temporary because the client can authenticate again. To block future connections, use deny or restore enterprise-managed access with
access set to denied. The deny applies to that member’s enterprise-managed access for the workspace, not only to the connection identified by client_key.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Admin API version to use for this request.
Available options:
2026-06-01 Body
application/json
Response
Number of active tokens revoked.
⌘I